Bug 141634 - Changing keyboard mode to "dvorak" produces error output
Changing keyboard mode to "dvorak" produces error output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 11:47 EST by Jay Fenlason
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.12-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 10:11:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (629 bytes, patch)
2005-05-17 16:25 EDT, Paul Nasrat
no flags Details | Diff

  None (edit)
Description Jay Fenlason 2004-12-02 11:47:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:


Version-Release number of selected component (if applicable):
system-config-keyboard-1.2.5-1

How reproducible:
Always

Steps to Reproduce:
1.su to root
2.type "system-config-keyboard"
3.Select "Dvorak"
4.Hit "Ok"
5.Observe error output
6.hit C-A-F1 and try to type.
7.Observe the keyboard is not in dvorak

    

Actual Results:  Loading /lib/kbd/keymaps/i386/dvorak
input in flex scanner failed
* running ['/usr/X11R6/bin/setxkbmap', '-layout', 'dvorak', '-model',
'pc105', '-option', '']


Expected Results:  No error message

Additional info:
Comment 1 Paul Nasrat 2004-12-02 15:29:00 EST
Error message comes from loadkeys for console mapping, loadkeys dvorak
fails as dvorak is a directory.  loadkeys dvorak/dvorak or loadkeys
ANSI-dvorak works, which of these is the desired layout?  I'll adjust
the table appropriately.
Comment 2 Jay Fenlason 2004-12-02 15:46:48 EST
dvorak/dvorak seems to match the X dvorak keyboard.  
dvorka/ANSI-dvorak doesn't.  So the former is the right choice. 
Comment 3 Paul Nasrat 2004-12-02 16:04:08 EST
Modified keyboard_models in rhpl to use dvorak/dvorak
Comment 4 Paul Nasrat 2005-05-17 16:25:21 EDT
Created attachment 114480 [details]
proposed fix

If a directory name matches what we look for we try and open it :|

This makes loadkeys dvorak work as expected.
Comment 5 Miloslav Trmač 2005-05-20 10:11:03 EDT
Thanks, fixed in kbd-1.12-10.

Note You need to log in before you can comment on or make changes to this bug.